package com.bonus.material.equipment.mapper;

import com.bonus.system.api.domain.SysUser;
import com.bonus.material.basic.domain.SysDeptVO;
import com.bonus.material.equipment.domain.ConfigEntity;
import com.bonus.material.equipment.domain.DeptEquipmentConfig;
import com.bonus.material.equipment.domain.DeptTreeSelect;
import com.bonus.material.equipment.domain.SysDept;
import com.bonus.material.equipment.domain.*;

import java.util.List;

public interface SysDeptMapper {
    List<SysDept> selectDeptTree();

    List<com.bonus.system.api.domain.SysDept> selectDeptList(com.bonus.system.api.domain.SysDept dept);

    List<SysDeptVO> selectDeptVOList(com.bonus.system.api.domain.SysDept dept);

    List<SysUser> selectUserList(DeptEquipmentConfig user);

    List<ConfigEntity> selectConfigList(DeptEquipmentConfig user);

    List<DeptConfigRateSummary> selectDeptConfigRatePivot(DeptConfigRateSummary entity);

    List<DeptConfigTypeSummary> selectDeptConfigTypeSummary(DeptConfigTypeSummary entity);

    List<DeptTreeSelect> getTree();

    List<EquipmentDetail> detailsInfo(EquipmentDetail equipmentDetail);

    List<NewmydevInfo> listFromDevInfo(String companyId);

    String getCityName(String city);
}
